JWKS (JSON Web Key Set)
GET /oauth/oidc/jwks.json
Get public keys for token signature verification.
You must use these for validating token signatures.
Responses
| Status | Description |
|---|---|
200 OK | JSON Web Key Set |
Content type application/json
JwksResponse (200)
| Field | Type | Required | Description |
|---|---|---|---|
keys |
array of object | no | |
keys[].kty |
string | no | Key type (e.g., RSA). |
keys[].use |
string | no | Key use (e.g., sig). |
keys[].kid |
string | no | Key ID. |
keys[].alg |
string | no | Algorithm (e.g., RS256). |
keys[].n |
string | no | RSA modulus (Base64url-encoded). |
keys[].e |
string | no | RSA exponent (Base64url-encoded). |
Example 200 response
{
"keys": [
{
"kty": "string",
"use": "string",
"kid": "string",
"alg": "string",
"n": "string",
"e": "string"
}
]
}
Example request
curl --request GET \
--url https://sandbox.truevault.com.au/oauth/oidc/jwks.json